@import 'styles/main.scss';

.card {
  position: relative;
  display: flex;
  background: $background-light;
  border: 1px solid $background-dark-white;
  border-radius: 8px;
  align-items: stretch;
  overflow: hidden;
  cursor: pointer;

  &__image {
    top: 0;
    position: absolute;
    width: 180px;
    height: 100%;
    object-fit: cover;
  }

  &__info {
    display: flex;
    flex-direction: column;
    gap: 4px;
    justify-content: center;
    padding: 24px 0;
    padding-left: 228px;
    padding-right: 32px;
    max-width: 100%;

    >* :first-child {
      margin-bottom: 4px;
    }

    >* {
      overflow: hidden;
      display: block;
      text-overflow: ellipsis;
      max-width: 100%;
      white-space: nowrap;
    }
  }
  
}